installing libnet module 
Author Message
 installing libnet module

When trying to install the libnet module from CPAN I always receive the
following error message with the Net::FTP test --

<snip>

PERL_DL_NONLAZY=1 /usr/local/bin/perl -Iblib/arch -Iblib/lib
-I/usr/local/lib/perl5/5.6.0/i686-linux -I/usr/local/lib/perl5/5.6.0
-t
t/ftp...............NOK 1FAILED tests 1-7
        Failed 7/7 tests, 0.00% okay
t/hostname..........ok
t/nntp..............skipped test on this platform
t/ph................skipped test on this platform
t/require...........ok
t/smtp..............skipped test on this platform
Failed Test  Status Wstat Total Fail  Failed  List of failed
------------------------------------------------------------------------
-------
t/ftp.t                       7    7 100.00%  1-7
3 tests skipped.
Failed 1/6 test scripts, 83.33% okay. 7/19 subtests failed, 63.16%
okay.
make: *** [test_dynamic] Error 29

</snip>

This would only happen if the connection to the server failed
completely. As I am using 5.6.0 I checked that

        grep ^ftp /etc/services

returns at least

        ftp 21/tcp

Next,

        find blib -name libnet.cfg

In that file there was a list for ftp_testhost, the ftp command line
program was able to connect to it. I know for a fact the ftp service I
am using in the test allows for anonymous connections to a /pub
directory.

This module is being installed on a newly formatted Redhat linux box. I
am attempting to install the module to support several scripts that
require the Net::FTP service (they worked beautifully before the
machine was reformatted).

Any help at all would be very much appreciated. Thank you in advance.

David Pizon
Web Network Liaison
Residence Life - University of Wisconsin Oshkosh


Sent via Deja.com
http://www.*-*-*.com/



Mon, 21 Jul 2003 06:48:58 GMT  
 
 [ 1 post ] 

 Relevant Pages 

1. Problem installing libnet module <unix>

2. Error installing Libnet module

3. Error installing Libnet module

4. Install libnet module

5. Q : Problem installing module libnet-1.0505 !

6. Installing LIBNET 1.08 module via CPAN

7. libnet module install

8. Read FAQs but can't install libnet-1.0605

9. where is libnet installed to

10. libnet install

11. Cannot install libnet?

12. Trouble installing libnet and libwww-perl on Solaris 2.5

 

 
Powered by phpBB® Forum Software